/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
#ifndef __DownloadListCtrl_H__
#define __DownloadListCtrl_H__

#ifdef __GNUG__
	#pragma interface "DownloadListCtrl.cpp"
#endif

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

#include "xMuleGUI_wdr.h"
#include "defines.h"

// WDR: class declarations
class CDownloadListCtrl: public CMListCtrl {

public:
	CDownloadListCtrl(wxWindow*& parent,int id,const wxPoint& pos,
			wxSize siz,int flags);
	virtual ~CDownloadListCtrl();

private:
	DECLARE_EVENT_TABLE()
};



#endif

