/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __IMAGES_H__
#define __IMAGES_H__

#ifdef __GNUG__
	#pragma interface "Images.cpp"
#endif

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif


extern class CImages *img;
class CImages {
public:
	CImages();
	wxBitmap frienduser, messages, search, provider, servers, newserver, 
		updateserver, info, serverinfo, log, files, updown11, updown00,
		connected, disconnected, timer, user, server, small, stats,
		upload, download, part, full, exclamation, connection, daily,
		monthly, yearly, mule, btn_connect, btn_servers, 
		btn_transfer, btn_search, btn_shared, btn_messages, 
		btn_statistics, btn_guisettings, btn_preferences, logo,
		leftarrow, rightarrow;

private:
	wxString MakePath(wxString path);
	void LoadImages();
};

#endif /* __IMAGES_H__ */
